.zw-cart-form {
  display: flex;   
  margin-right:  auto;
  margin-left: auto;
}
.zw-cart-main
{
  max-width:1440px;
  width: 95%;
  margin: auto;
  direction: ltr;
}
.zw-cart-product
{
  width:calc(60% - 32px);
}

.cart-product-parent {
  max-width : 745px; 
}




.zw-cart-info{
  box-shadow: 4px 4px 24px 0px #0000000A; 
  width: 40%;
  border: 1px solid #E1E1E1;
  border-radius: 24px;
  max-height: fit-content;
}
/***************************************************************************************************************************************************/
.zw-cart-product > .zw-cart-product-div
{
  border: 1px solid #E1E1E1;
  padding: 20px;
  border-radius: 24px;
  margin-bottom: 16px;
}

.main-box{
padding: 0px 1rem !important;
}

.sp-dialog-overlay
{
  z-index: 69999 !important;
}
.zw-cart-header{
  direction: rtl;
  justify-content: center;
}
.zw-cart-wapper {
  width: 1600px;
  max-width: 1600px;
}

.zw-cart-header-stage {
  display: flex;
  align-items: center;
}
.zw-cart-header-stage p {
  white-space: nowrap;
  margin-right: 6px;
  margin-left: 6px;
  color: #6B6B6B;
}
.zw-cart-header-stage p.active {
  color: #195A53;
  font-weight: 700;
}
.zw-cart-header-stage p.rejection {
  color: #195A53;
  font-weight: 400;
}

.zw-cart-head-back2 {
  width: 150px;
}

.zw-cart-head-back {
  direction: rtl;
  display: flex;
  width: 150px;
  /*  margin: auto 0px auto auto;*/
  margin-right : auto;
}
.zw-cart-head-back img {
  max-width: 24px !important;
  max-height: 24px;
}
.zw-cart-head-back p {
  white-space: nowrap;
  color: #0C0C0C;
  margin-right: 5px;
}
.dialog
{
  backdrop-filter: initial !important;
}

input:focus
{
  outline: none !important;
}
input[type='radio'] {
  accent-color:#1F7168;
}
input[type='text'] {
  min-height: 36px;
  padding: 0px 15px;
}
.zw-cart-header
{
  justify-content: center;
}
.cart-border
{
  width:120px;
  margin: 0px 0px 0px 5px;
}
.cart-border  p
{
  border:1px dashed #D9D9D9;
}
.cart-border.active  p
{
  border:1px dashed #195a53;
}
.zw-cart-header > div > p
{
  white-space: nowrap;
  margin-right: 6px;
  margin-left: 6px;
  color:#D9D9D9;
}
.zw-cart-header > div
{
  align-items: center;
}
.zw-cart-header > div > p.active
{
  color:#195a53;
}
.zw-cart-header img {
  width: 32px;
}
.zw-cart-group
{
  display:flex;
  justify-content: space-between;
  width: 100%;
  margin: 80px 0px;
}

.zw-cart-head-title
{
  display: flex;
  margin-bottom: 18px;
  align-items: center;
}
.zw-cart-head-title img
{
  width:22px;
}

.zw-cart-head-title p
{
  white-space: nowrap;
  margin: 0 12px;
}
.prodcut-border
{
  width: 100%;
  height: 1px;
  background-color: #D9D9D9;
}
.zw-cart-item
{
  box-shadow: -4px -4px 24px 0px #0000000A;
  box-shadow: 4px 4px 24px 0px #0000000A; 
  border: 1px solid #E1E1E1;
  border-radius: 12px;
  background: #FFFFFF;
 /* margin-bottom: 24px;*/
  padding: 24px;
}
.zw-cart-item-image {
  width:148px;
  height:148px;
  object-fit : cover;
  border-radius:12px;
  border: 1px solid #EDEDED;
}
.zw-cart-item-del
{
  display: flex;
  justify-content: center;
  width: 148px;
  height: 34px;
  border: 1px solid #C30000;
  border-radius: 12px;
  color: #C30000;
  white-space: nowrap;
}
.zw-cart-item-del p
{
  font-size: 12px;
  font-weight: 500;
  line-height: 16px;
  margin: auto 8px;
}
.zw-cart-item-del img
{
  width: 14px !important;
  height: 24px !important;
  margin: auto 0px;
  margin-right: 10px;
}
.zw-cart-img
{
  width: 150px;
  margin-left: 15px;
}
.zw-cart-box-info
{
  margin-right: 12px;
  margin-left: 12px;
}
.zw-cart-item-properties
{
  display:flex;
}
.zw-prodcut-group .bottom
{
  display:flex;
  flex-wrap: wrap;    
  flex-direction: column;
  margin-top:24px;
}

.zw-prodcut-group {
  display: flex;
  flex-direction: column;
  gap: 0.5rem; 
}

.zw-prodcut-group .bottom textarea
{
  width: 100%;
  border-radius: 12px;
  background-color: #FAFAFA;
  margin-top: 10px;
  min-height: 96px;
  padding: 10px;
  border: 1px solid #e1e1e1;
}

.zw-cart-item-Title p
{
  font-size: 16px;
  font-weight: 500;
  line-height: 28.8px;
  text-align: right;
  color: #000;
}
.zw-cart-box-item
{
  margin-top:16px;
}
.zw-cart-box-item > .title
{
  font-size: 16px;
  font-weight: 700;
  line-height: 22.4px;
  color:#505050;
  margin-left: 12px;
}
.zw-cart-box-item .gray-info
{
  border-left:1px solid #717171;
}
.zw-cart-box-item .gray-info:last-child
{
  border-left:0px;
}
.zw-cart-box-item .gray-info span
{
  color: #717171;
  margin-left: 4px;
  margin-right: 4px;
}
.zw-cart-item-price
{
  display:flex;
  margin: auto 0px;
  justify-content: end;
  align-items: baseline;
  max-width: fit-content;
  margin-right: auto;
}
.zw-cart-item-price .number
{
  font-size: 16px;
  font-weight: 700;
  line-height: 28.8px;
  margin-left: 6px;
}
.zw-cart-item-price .title
{
  font-size: 16px;
  font-weight: 700;
  line-height: 28.8px;
  margin-left: 6px;

}
.zw-cart-item-price .unit
{
  font-size: 12px;
  font-weight: 400;
  line-height: 21.6px;
  margin: auto;
}
.zw-cart-head-title .green
{
  color:#195A53;
}


.green-txt
{
  color:#195A53;
  white-space : nowrap;
}

.zw-cart-head-title .gold
{
  color:#885E30;
}
{
  background-color: #EDEDED;
  border-radius: 12px;
  padding: 12px;
}

.zw-cart-info .wrapper .top
{
  background-color: #F9F9F9;
  border-radius: 12px;
  padding: 12px;
  margin: 24px 24px 0px 24px;
  border: 1px solid #EDEDED;
}
.zw-cart-info-item
{
  border-bottom: 1px solid #D9D9D9;
  display: flex;
}
.zw-cart-info-item > div 
{
  display: flex;
  padding: 12px 0;
  width: 100%;
}
.zw-cart-info-item .zw-cart-info-info
{
  display:flex;
  width: -webkit-fill-available;
  width: -moz-available;
  align-items: center;
}

.zw-cart-info-count
{
  border: 1px solid #1647C7;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  text-align: center;
  color: #1647C7;
  margin-right: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.zw-cart-info-item .zw-cart-info-value
{
  display:flex;
}
.zw-cart-info-value .btn
{
  border: 1px solid #C30000;
  border-radius: 24px;
  display: flex;
  color: #C30000;
  white-space: nowrap;
  padding: 4px 12px;
}
.zw-cart-info-value .btn img
{
  margin-left: 6px;
}
.zw-cart-info-item .zw-cart-info-value .value
{
  display:flex;
  margin: 0px auto 0px 0px;
}

.zw-cart-info-item .zw-cart-info-value .value .number
{
  font-size: 16px;
  font-weight: 400;
  line-height: 28.8px;
  margin-left: 8px;
  color:#505050;
}
.zw-cart-info-item .zw-cart-info-value .value .unit
{
  font-size: 12px;
  font-weight: 400;
  line-height: 21.6px;
  color:#717171;
  display: flex;
  align-items: center;
}
.zw-cart-info-value .desc
{
  position: relative;
  font-size: 12px;
  font-weight: 400;
  line-height: 21.6px;
  color:#A9791C;
  margin-right: 8px;
}
.zw-cart-info-value .green .number 
{
  color:#195A53;
  font-size: 16px;
  font-weight: 700;
  line-height: 22.4px;
  margin-left: 8px;
}
.zw-cart-info-value .green .unit 
{
  color:#195A53;
  font-size: 12px;
  font-weight: 400;

}
.zw-cart-info-value .green
{
  display:flex;
}
.zw-cart-info-value img
{
  width:22px;
}
.zw-cart-info-value .blue
{
  display: flex;
  color: #2960EC;
  white-space: nowrap;
  padding: 6px 0px;
  align-items: center;
  cursor : pointer;
}
.zw-cart-info-value .blue p
{
  margin-right:4px;
}
.zw-cart-info-info .green
{
  display:flex;
}
.zw-cart-info-info .green p
{
  color:#195A53;
  font-size: 16px;
  font-weight: 700;
  line-height: 22.4px;
}

.zw-cart-info-last
{
  border-bottom:none;
}
.zw-cart-bottom-wrapper
{
  width:70%;
  margin: 82px auto 24px;
}
.zw-cart-bottom-wrapper img
{
  width:8px;
}
.zw-cart-login
{
  background-color: #1F7168;
  display: flex;
  padding: 12px;
  justify-content: center;
  color: white;
  border-radius: 24px;
  margin-bottom: 3px;

}
.zr-cart-continue
{
  background-color: #1F7168;
  display: flex;
  padding: 12px;
  justify-content: center;
  color: white;
  border-radius: 12px;
  margin-bottom: 3px;
}
.zr-cart-continue p
{
  margin-left:12px;
}
.zw-cart-login p
{
  margin-right:12px;
}

.zw-cart-discount
{
  display: flex;
  justify-content: center;
  margin-top: 24px;
  align-items: center;
}
.zw-cart-discount p 
{
  color:#442F18;
  font-size: 16px;
  font-weight: 500;
  line-height: 20px;
  margin-right:8px;
}

.zw-cart-send-item
{
  border:1px solid #D9D9D9;
  border-radius:24px;
  margin-bottom:24px;
}
.zw-cart-send-select
{
  display:flex;
  padding: 8px;
  align-items: center;
}
.zw-cart-send-body
{
  display:none;
  padding: 12px;
}
.zw-cart-send-body li 
{
  list-style: disc;
  list-style-position: inside;
  margin-bottom: 12px;
}
.zw-cart-send-body li p
{
  display: inline;
}
.zw-cart-send-select input
{
  border:none;
  box-shadow: none;
  width: 18px;
  height: 18px;
  cursor:pointer;
}
.zw-cart-send-select p
{
  margin-right:8px;
}          
.zw-cart-title-green
{
  color:#1F7168;
}
.zw-cart-recive-info
{
/*  border: 1px solid #ADADAD;*/
  background-color: #F9F9F9;
  padding: 12px;
  border-radius: 12px;
  margin-bottom: 12px;
}
.zw-cart-recive-info > div 
{
  display:flex;
  margin-bottom:12px;
}
.zw-cart-recive-info  .title
{
  font-size: 14px;
  font-weight: 500;
  line-height: 21.12px;
  color:#353535;
  margin-left: 12px;

}
.zw-cart-recive-info .value
{
  font-size: 14px;
  font-weight: 400;
  line-height: 21.12px;
  color:#353535;
}
.zw-cart-form-top
{
  display:flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.zw-cart-form-top > div
{
  width: calc(33% - 12px);
  margin-bottom: 24px;
}
.zw-cart-form-top > div p
{
  color:#0C0C0C;
  font-size: 14px;
  font-weight: 500;
  line-height: 24px;
}
.zw-cart-form-top > div input, .zw-cart-form-bottom input
{
  border: 1px solid #ADADAD;
  border-radius: 12px;
  box-shadow: none;
  margin-top: 5px;
  padding: 0px 16px;
  width: 100%;
  min-height: 40px;
}

.zw-cart-form-bottom textarea
{
  width: 100%;
  border-radius: 24px;
  min-height: 100px;
  margin-top: 6px;
  border: 1px solid #ADADAD;
  text-indent: 12px;
  padding-top: 12px;
}
.zw-cart-map-info
{ 
  display: flex;
  align-items: center;
  margin: 12px 0 24px;
}
.zw-cart-map-append
{
  border: 1px solid #1F7168;
  border-radius: 24px;
  display: flex;
  padding: 9px;
  width: 200px;
  justify-content: center;
  color: #1F7168;
}
.zw-cart-map-append img {
  width: 22px;
  margin-left: 4px;
}
.zw-cart-map-choose {
  width: 33%;
  margin-left: 32px;
}
.zw-cart-map-choose select {
  border: 1px solid #0C0C0C;
  border-radius: 24px;
  width: 100%;
  min-height: 40px;
  text-indent: 12px;
}
.zw-cart-top-back
{
  direction: rtl;
  display: flex;
  margin: auto auto auto 0px;
}
.zw-cart-head-list
{
  direction: rtl;
  justify-content: center;
  margin: auto;
}
.zw-cart-head-list img{
  width: 32px;
}

.zw-cart-head-list > div
{
  white-space: nowrap;
  align-items: center;
}
.zw-cart-head-list > div > p
{
  white-space: nowrap;
  margin-right: 6px;
  margin-left: 6px;
}
.zw-cart-head-stage {
  display: flex;
  justify-content: space-between;
  /*margin-top : 1rem;*/
  padding-top: 42px;
  position: fixed;
  top: 136px;
  width: 100%;
  margin: auto;
  background: #fff;
  left: 0;
  height: 80px;
  z-index : 1;
}

.zw-cart-header-1 {
  padding-top: 42px;
  position: fixed;
  top: 136px;
  width: 100%;
  margin: auto;
  background: #fff;
  left: 0;
  z-index : 1;
  padding-bottom: 16px;
  height: fit-content;
} 


.zw-cart-top-back p
{
  margin-right:8px;
}
.zw-cart-gold > div
{
  background-color: #BB9163;
  color: white;
  padding: 3px 12px;
  border-radius: 24px;
  text-align: center;
  margin-right: 8px;
}
.zw-cart-gold
{
  text-align:center;
}
.zw-cart-payment-group
{
  display: flex;
  flex-wrap: wrap;
  gap: 2%;
  justify-content: center;
}
.zw-cart-payment-item{
  display: flex;
  flex-direction: column; 
  justify-content: center;
  align-items: center;
  width: 25%;
  min-height:172px;
  min-width: 156px;  
  border: 1px solid #D9D9D9;
  border-radius: 24px;
  margin: 0px 0px 10px 0px;
}
.zw-cart-payment-choose img
{
  width:42px;
  height:42px;
}
.zw-cart-payment-choose
{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
}
.zw-cart-payment-check{
  display: flex;
  width: 18px;
  height: 18px;
  border: 1px solid #505050;
  border-radius: 10px;
  margin: auto;
}
.zw-cart-payment-green .zw-cart-payment-check-active
{
  width: 14px;
  height: 14px;
  border-radius: 10px;
  margin: auto;
  background-color: #195A53;
}
.zw-cart-payment-input
{
  margin-top: 16px;
}
.zw-cart-payment-choose p
{
  margin-top:14px;
}
.zw-cart-payment-input input
{
  width:18px;
  height:18px;
}
.zw-cart-payment-green
{
  border: 2px solid #195A53 !important;
}
.zw-cart-payment-green p
{
  color:#195A53;
}
.zw-cart-contaner-finall{
  display: flex;
  margin: 25px auto;
  flex-direction: column;
}
.zw-cart-contaner-finall img{
  width: 130px;
  height: 100px;
  margin: auto;
}
.zw-cart-contaner-finall .title{
  margin: 10px auto;
  color: #1F7735;
  font-weight: 700;
}
.zw-cart-contaner-finall .content{
  margin: 2px auto;
  color: #6B6B6B;
  font-weight: 500;
}
.zr-cart-continue-btn{
  width: 500px;
  display: flex;
  justify-content: space-between;
  margin: 20px auto;
  cursor: pointer !important;
}
.zr-cart-continue-btn .btn{
  display: flex;
  justify-content: center;
  padding: 12px;
  width: 45%;
  border-radius: 24px;
  margin-bottom: 3px;
}
.zr-cart-continue-btn .back{
  border: 1px #B9B9B9 solid;
}
.zr-cart-continue-btn .forward{
  background-color: #977A49;
}
.zw-cart-finish-contaner-tabel{
  display: flex;
  width: 100%;
  max-width: 1200px;
  justify-content: space-between;
  margin: auto;
}
.zw-cart-finish-tabel{
  width: 48%;
  border-radius: 8px;
  max-width: 564px;
  border: 1px #B9B9B9 solid;
  background-color: #F3F3F3;
  direction: rtl;
  margin: auto;
  overflow : hidden;
}
.zw-cart-finish-tabel .header{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  direction: rtl;
  padding: 20px;
}
.zw-cart-finish-tabel .header div{
  display: flex;
  flex-direction: row;
}
.zw-cart-finish-tabel .header .count{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 24px;
  height: 24px;
  border-radius: 32px;
  background-color: #D9D9D9;
}
.zw-cart-finish-tabel .header .div-send p{
  color: #195A53
    white-space: nowrap;
}
.zw-cart-finish-tabel .header .div-order p {
  color: #885E30;
  white-space: nowrap;
}
.zw-cart-finish-tabel .div-tr{
  display: flex;
  flex-direction: row;
  border-top: 1px #B9B9B9 solid;
  background-color: #FFFFFF;
}
.zw-cart-finish-tabel .div-tr > div{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 50%;
  padding: 16px 8px;
}
.zw-cart-finish-tabel  .div-tr .border-left{
  border-left: 1px #B9B9B9 solid;
}
.zw-cart-finish-tabel .footer{
  display: flex;
  border-radius: 0 0 8px 8px;
  background-color: #FFFFFF;
  border-top: 1px #B9B9B9 solid;
  padding: 8px;
}
.zw-cart-info-title {
  font-size: 16px;
  font-weight: 400;
}

/* rewrite css */
.zr-products-layout-style{
     border: 1px solid #E1E1E1;
    border-radius: 24px;
    padding: 24px; 
}
.zr-cart-continue:hover{
 background-color: #DDCAA4 !important; 
  color : #000 !important;
}
.zr-cart-continue:hover .black-arrow{
 display:block  !important; 
}
.zr-cart-continue:hover .white-arrow{
 display:none    !important; 
}
.black-arrow{
  display:none  !important;
}
.white-arrow{
  display:block  !important;
}
.zr-products-layout-style{
box-shadow: 4px 4px 24px 0px #0000000A;
}
.zw-cart-product > .zw-cart-product-div{
 box-shadow: 4px 4px 24px 0px #0000000A; 
}
.rewrite-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
}
.rewrie-gap-cart{
     gap: 2rem; 
}
.rewrite-zw-cart-info{
   width: auto !important; 
}
.zw-cart-recive-info{
 background-color: #ffff !important; 
}

.zw-cart-form-top > div{
     text-align: justify; 
}

.half-cart-border{
     display: flex;
    flex-direction: row; 
      gap: 3px;
}
.child-dash-1{
  border: 1px dashed #195a53;
  width:60px;
}
.child-dash-2{
      border: 1px dashed #D9D9D9 !important;
  	width:60px;
}
.rewrite-cart-layout{
      gap: 2rem;
    justify-content: center !important;
}

.rewrite-info-box{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
  max-height: fit-content !important;
}

.zw-cart-product {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between; 
}


.zr-X-btn {
  width : 48px ;
  height : 48px ;
  margin-left: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.zr-inside-info-cart-box {
  background: #fff;
  border: 1px solid #E1E1E1;
  box-shadow: -4px -4px 24px 0px #0000000A;
  border-radius: 1rem;
  margin-inline: 0.5rem;
  margin-bottom: 0.5rem;
  max-height : 90%;
  overflow : hidden;
}


.sp-dialog-main .zw-cart-product {
  justify-content: center !important;
}


.sp-dialog-main .zw-prodcut-group {
  padding-bottom: 3rem; 
}


.zw-cart-header-1 {
  display : flex ; 
}

.zw-cart-header-2 {
  display : none ; 
}

.zw-addaddress-item p {
  white-space : nowrap;
}

.zw-addaddress-action > div {
  min-width : max-content;
  width : 100%;
}

/*----------------------------*/
@media only screen and (max-width: 992px) {
  .zw-cart-form {
    margin-top: 22px;
  }

  .zw-cart-item-properties.zw-cart-box-item {
    flex-direction : column ; 
  }

  .zw-cart-box-item .gray-info {
    border-left: none;
  }


  .zw-cart-bottom-wrapper {
    margin: 82px auto 6px;
  }

  .zw-prodcut-group {
    gap : 24px;
  }
  
  .zw-cart-send-item {
    margin-bottom : 0px !important; 
  }
  
  .zw-cart-product {
    justify-content: flex-start;
  }


}

@media only screen and (max-width: 1200px) {
  .zw-cart-header-1 {
    display : none !important; 
  }



  .zw-cart-info .wrapper .top
  {
    border-radius: 24px;
    padding: 12px;
    margin: 8px 8px 0px 8px;
  }
  
  .zr-products-layout-style {
    padding: 24px 8px 24px 8px;
  }

  .zw-cart-header-2 {
    display : flex !important; 
    justify-content: center;
    padding-right : 24px;
    position: fixed;
    left: 0;
    width: 100%;
    background: #fff;
   /* top: 90px;*/
    height: 80px;
    z-index : 1;
  }

  .zw-cart-group {
    margin: 64px 0px ;
    margin-top: 2rem !important;
  }  
}

.zr-products-layout-style-rate {
  gap: 1rem;
  padding-inline: 1rem;
  padding-block: 16px 12px;
}


.zr-products-layout-style-rate p {
  white-space : nowrap;
}


.zr-X-btn.sp-pointer img
{
  max-width: 24px;
  max-height: 24px;
  object-fit: none;
}
.zw-cart-item-del img {
  border : none !important; 
}

.info-icon {
  max-width: 24px;
  max-height: 24px;
  object-fit: contain;
}



.zw-dialog-delete .btn-cancel {
  border: 1px solid #ada9a9; 
}


.zw-cart-item-img img {
  border-radius: 12px;
  border: 1px solid #E1E1E1;

}

.zr-inside-info-cart-box .zw-cart-head-title {
  margin: 24px; 
}



